# tmr_read_plan.h File Reference

Mercury API - Read Plan Definitions. More...

`#include "tmr_tag_protocol.h"`
`#include "tmr_filter.h"`
`#include "tmr_tagop.h"`

## Classes

struct | TMR_StopOnTagCount
struct | TMR_GPITriggerRead
struct | TMR_SimpleReadPlan
struct | TMR_MultiReadPlan
struct | TMR_ReadPlan

## Typedefs

typedef enum TMR_ReadPlanType | TMR_ReadPlanType

## Enumerations

enum | TMR_ReadPlanType { , TMR_READ_PLAN_TYPE_SIMPLE, TMR_READ_PLAN_TYPE_MULTI }

## Functions

TMR_Status | TMR_RP_init_simple (TMR_ReadPlan *plan, uint8_t antennaCount, uint8_t *antennaList, TMR_TagProtocol protocol, uint32_t weight)
TMR_Status | TMR_RP_init_multi (TMR_ReadPlan *plan, TMR_ReadPlan **plans, uint8_t planCount, uint32_t weight)
TMR_Status | TMR_GPITR_init_enable (TMR_GPITriggerRead *triggerRead, bool enable)
TMR_Status | TMR_RP_set_filter (TMR_ReadPlan *plan, TMR_TagFilter *filter)
TMR_Status | TMR_RP_set_tagop (TMR_ReadPlan *plan, TMR_TagOp *tagop)
TMR_Status | TMR_RP_set_enableTriggerRead (TMR_ReadPlan *plan, TMR_GPITriggerRead *triggerRead)
TMR_Status | TMR_RP_set_useFastSearch (TMR_ReadPlan *plan, bool useFastSearch)
TMR_Status | TMR_RP_set_stopTrigger (TMR_ReadPlan *plan, uint32_t count)
TMR_Status | TMR_RP_set_enableAutonomousRead (TMR_ReadPlan *plan, bool autonomousRead)

## Detailed Description

Mercury API - Read Plan Definitions.

Author:
  Brian Fiegel

Date:
  4/18/2009